# == Class: openoffice
#
# === Information
# This module can install the openoffice's repository and packages. 
# It will provide the latest version of openoffice - since the release's 
# repositories are updated!
# Compatible with Ubuntu's Releases and Linux Mint 
#
# === Parameters
#
# The parameters are declared on openoffice::params manifest file.
#
# === Variables
#
# The variables are declared on openoffice::params manifest file too.
#
# === Uninstall the openoffice
#
# This version of cristaldo/openoffice module now offers the option of Uninstall the openoffice.
#
# Usually all the puppet modules provide the option of Install or/and configure some resource!, but 
# if we need to Remove it for any reason?
# To use this options just append <::uninstall>
#
# === Examples
# To Install the openoffice
#
#  node 'agent.puppet' { 
#  include openoffice
#  }
#
# To uninstall the openoffice
#
#  node 'agent.puppet' { 
#  include openoffice::uninstall
#  }
# === Author
#
# Rafael Cristaldo rafael@rafaelcristaldo.com.br
#
# === Copyright
#
# Copyright 2014 Rafael Cristaldo
#
# === License
#
# GPL v3

class openoffice {
  
  include openoffice::params
  include openoffice::install

  Class['openoffice::params'] ->
  Class['openoffice::install']
}
